Variable (Gradle API 2.14.1)

Package: org.gradle.plugins.ide.eclipse.model

## [Java] Class Variable

- org.gradle.plugins.ide.eclipse.model.Variable

- A variable library entry.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractClasspathEntry` | `COMPONENT_DEPENDENCY_ATTRIBUTE, COMPONENT_NON_DEPENDENCY_ATTRIBUTE, accessRules, entryAttributes, exported, path`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Variable (groovy.util.Node node, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)`
    `Variable (FileReference library)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getKind()`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractLibrary` | `appendNode, equals, getDeclaredConfigurationName, getJavadocPath, getLibrary, getModuleVersion, getSourcePath, hashCode, setDeclaredConfigurationName, setJavadocPath, setLibrary, setModuleVersion, setSourcePath, toString`
    `class AbstractClasspathEntry` | `addClasspathEntry, appendNode, equals, getAccessRules, getEntryAttributes, getExported, getNativeLibraryLocation, getPath, hashCode, isExported, normalizePath, setAccessRules, setExported, setNativeLibraryLocation, setPath, toString, writeEntryAttributes`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public Variable(groovy.util.Node node, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)

    - #### public Variable(FileReference library)

  - ### Method Detail

    - #### @Override public String getKind()

    - #### @Override public String toString()